cannot install kdenlive, broken packeges

Archived topics about LMDE 1
Locked
User avatar
Herpy
Level 2
Level 2
Posts: 54
Joined: Sun Nov 27, 2011 4:59 pm

cannot install kdenlive, broken packeges

Post by Herpy » Wed Mar 07, 2012 12:41 am

I get this error message in the terminal

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kdenlive : Depends: kdebase-runtime but it is not going to be installed
            Depends: libmlt++3 (>= 1:0.7.6) but it is not going to be installed
            Depends: libmlt4 (>= 1:0.7.6) but it is not going to be installed
            Depends: melt but it is not going to be installed
            Depends: ffmpeg but it is not going to be installed
            Recommends: dvgrab but it is not going to be installed
E: Broken packages
help?
Image

User avatar
Herpy
Level 2
Level 2
Posts: 54
Joined: Sun Nov 27, 2011 4:59 pm

Re: cannot install kdenlive, broken packeges

Post by Herpy » Wed Mar 07, 2012 1:25 am

found a cure to my ill's!

Code: Select all

gksu gedit /etc/apt/sources.list
Find these two lines:

Code: Select all

deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free
And replace them with these two lines instead:

Code: Select all

deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free
Image

drdavidk
Level 1
Level 1
Posts: 45
Joined: Sat Dec 25, 2010 6:25 pm

Re: cannot install kdenlive, broken packeges

Post by drdavidk » Wed Mar 07, 2012 10:27 am

Worked like a charm. Many thanks. The installation advice on the kdenlive.org website used to work (using a French repository of Debian Unstable), but it now wants to bring in many dependencies which remove VLC and lots more.

User avatar
nomko
Level 10
Level 10
Posts: 3026
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Re: cannot install kdenlive, broken packeges

Post by nomko » Wed Mar 07, 2012 11:13 am

How stable is Kdenlive these days?? I know in the past Kdenlive was a drama regarding stability.

Locked

Return to “LMDE 1 Archive”